Get category by ID
Returns a company category by numeric ID, including linked establishments and type metadata. Scope is always the company associated with the token.
curl -X GET "https://api-sandbox.contasimples.com/categories/v1/categories/1146" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api-sandbox.contasimples.com/categories/v1/categories/1146"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api-sandbox.contasimples.com/categories/v1/categories/1146", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api-sandbox.contasimples.com/categories/v1/categories/1146", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api-sandbox.contasimples.com/categories/v1/categories/1146')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"id": 1146,
"createdAt": "2024-12-25T10:00:00Z",
"updatedAt": "2024-12-25T10:00:00Z",
"companyId": "7c61b3f6-7353-46aa-80ef-3e27d95150ab",
"name": "Electronics",
"establishments": [
{
"id": 16,
"createdAt": "2024-12-25T10:00:00Z",
"updatedAt": "2024-12-25T10:00:00Z",
"name": "Amazon Prime Aluguel",
"type": {
"id": 1,
"createdAt": "2024-12-25T10:00:00Z",
"updatedAt": "2024-12-25T10:00:00Z",
"type": "CUSTOM"
},
"establishmentCategoryId": 1039
}
],
"type": {
"id": 1,
"createdAt": "2024-12-25T10:00:00Z",
"updatedAt": "2024-12-25T10:00:00Z",
"type": "CUSTOM"
}
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
GET
/categories/v1/categories/{id}GET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredBearer token from OAuth 2.0 client credentials. Format: Bearer TOKEN
Bearer token from OAuth 2.0 client credentials. Format:
Bearer TOKENpath
idinteger
RequiredNumeric category ID.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Bearer token from OAuth 2.0 client credentials. Format: Bearer TOKEN
Path Parameters
Responses
idinteger
RequiredCategory numeric ID.
createdAtstring
RequiredWhen the category was created (ISO 8601).
updatedAtstring
RequiredWhen the category was updated (ISO 8601).
companyIdstring
RequiredOwning company ID.
namestring
RequiredCategory display name or accounting code.
establishmentsarray
RequiredEstablishments linked to this category.
typestring
RequiredCategory type metadata (e.g. CUSTOM or DEFAULT).
Was this page helpful?